Jump to content

Recommended Posts

Hallo

Ik heb een update gedaan van PHP en MySQL en nu werkt de frontoffice en de backoffice op het eerste gezicht wel maar er worden in de frontoffice geen producten meer getoond. Ookde back office overzichten zien er normaal uit maar als je verder klikt op een order of products krijg je weer de foutmedling.

Als is debug aanzet staat er:

[PrestaShopDatabaseException]

Expression #1 of ORDER BY clause is not in SELECT list, references column 'xxxxxx_knl.c.level_depth' which is not in SELECT list; this is incompatible with DISTINCT

Volledig error message sluit ik bij.

Webshop draait nog op 1.5.4.1

MySQL was 5.5.62 nu 5.7.27

Wat kan dit zijn?

debug error.png

Share this post


Link to post
Share on other sites

Hoi Frevab,

Ik kan het niet goed zien in de screenshot, maar van welke module krijg je deze error? Wellicht is het updaten van deze module de oplossing. 

Share this post


Link to post
Share on other sites
12 hours ago, Adeko.nl said:

Hoi Frevab,

Ik kan het niet goed zien in de screenshot, maar van welke module krijg je deze error? Wellicht is het updaten van deze module de oplossing. 

Niet van een module, gewoon bij het aanroepen van de front office en order details en product details in de back office. Ik heb 2 Prestashop website en was met de andere bezig qua updates. Die heb ik vorig jaar geupgrade van PS 1.4.9.0 naar PS 1.7.2.4. Na de upgrade naar PHP 1.7.32 en MySQL 5.7.27 geen problemen dacht ik. Vandaag nog bestellingen en betalingen ontvangen maar zag toch net dan iets biet goed werkt en kreeg zojuist de volgende fout nadat ik debug aangezet heb omdat ik een willekeurig product niets in de cart kon doen:

Notice op lijn 4603 in bestand /home/kleimc1q/public_html/swimengym.nl/app/cache/dev/classes.php
[8] SessionHandler::gc(): ps_files_cleanup_dir: opendir(/var/cpanel/php/sessions/ea-php71) failed: Permission denied (13)

Ik was toen te druk bezig met de 1.7 webshop dat ik niet door had dat de MySQL upgrade alle databases aangaat dus ook die van mijn 1.5 webshop, waar ik geen backup van heb gemaakt voorafgaande aan de PHP/MySQL upgrade  omdat ik mijn niet realiseerde dat die database ook.

Ik ben een merchant en een leek op het gebied van websites maar werk al vele jaren met PS en nooit dit soort problemen gehad.  Ben niet zo iemand die gelijk alles upgrade. Als het goed draait blijf ik er van af.  PS 1.5.4.1 was altijd een snelle en perfect werkende webshop

Omdat ik een probleem had waar ik gean vinger achter kon krijgen bij mijn webshop die op 1.7 draait (kon geen wijzigingen opslaan in bv producten).  Ik vermoed dat dit door de Redis module kwam want toen ik die in z'n geheel verwijderd heb inclusief de bijbehorende mappen  was het probleem weg. Toen ik op de WHM/cPanel zag dat de PHP versie al end-of-life was heb ik deze geupdate ook een beetje ingegeven door de forum post (zie bijlage). En daarna ook MySQL geupdate naar 5.7.

Kan het een PHP versie of PHP instelling zijn?  Kennelijk heeft hij problemen om bij de gegevens in de database te komen?

Alvast bedankt voor je mening.

groet

Freek

The settings below are tested in production for 500 to 20.pdf

Share this post


Link to post
Share on other sites

Dag Freek,

Dat kan zeker! Ook Redis cache 'onthoud' een heleboel, wat er voor kan zorgen dat dingen niet, of niet goed opgeslagen worden.

Qua caching raad ik je altijd aan om degene te gebruiken die je bij Geavanceerde instellingen->Prestaties aan kunt zetten. Hier zorgt Prestashop er namelijk zelf voor dat de caching wordt uitgeschakeld wanneer dat nodig is. 

Ook de php-versie is heel belangrijk. Prestashop 1.5 gebruikt verouderde code. Deze zijn al tijden niet geupdate en garanderen ook niet dat dit werkt op versies hoger dan php5.6. 

Natuurlijk raden we je aan om prestashop 1.7 te gebruiken op de hoogst beschikbare php-versie. Dit zal je op alle vlakken moeten helpen (Nieuwe functies, snelheid, Seo en verbeterde backoffice). 

Succes met je keuze!

 

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More